> ## Documentation Index
> Fetch the complete documentation index at: https://quartr.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an event



## OpenAPI

````yaml https://api.quartr.com/public/v3/openapi.json get /public/v3/events/{id}
openapi: 3.0.0
info:
  title: Quartr Public API
  description: The Quartr Public API
  version: '3.0'
  contact: {}
servers:
  - url: https://api.quartr.com
security: []
tags:
  - name: Companies
    description: ''
  - name: Events
    description: ''
  - name: Event Types
    description: ''
  - name: Documents
    description: ''
  - name: Document Types
    description: ''
  - name: Reports
    description: ''
  - name: Slides
    description: ''
  - name: Transcripts
    description: ''
  - name: Backlog Audio
    description: ''
  - name: Live
    description: ''
  - name: Live Audio
    description: ''
  - name: Live Transcripts
    description: ''
paths:
  /public/v3/events/{id}:
    get:
      tags:
        - Events
      summary: Retrieve an event
      operationId: EventsControllerV3_getEventById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventResponseDto'
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Unauthorized
                    type: string
                  statusCode:
                    example: 401
                    type: number
                type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Forbidden
                    type: string
                  statusCode:
                    example: 403
                    type: number
                type: object
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  message:
                    example: Not Found
                    type: string
                  statusCode:
                    example: 404
                    type: number
                type: object
      security:
        - apiKey: []
components:
  schemas:
    EventResponseDto:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/EventDto'
      required:
        - data
    EventDto:
      type: object
      properties:
        companyId:
          type: number
          example: 4742
        date:
          format: date-time
          type: string
          example: '2021-09-15T15:00:00.000Z'
        id:
          type: number
          example: 128301
        title:
          type: string
          example: Q1 2024
        typeId:
          type: number
          example: 26
        fiscalYear:
          type: number
          example: 2024
        fiscalPeriod:
          type: string
          example: Q1
        backlinkUrl:
          type: string
          example: quartr.com/companies/apple
        language:
          type: string
          example: en
        updatedAt:
          format: date-time
          type: string
          example: '2021-09-19T15:00:00.000Z'
        createdAt:
          format: date-time
          type: string
          example: '2021-09-15T15:00:00.000Z'
      required:
        - companyId
        - date
        - id
        - title
        - typeId
        - backlinkUrl
        - language
        - updatedAt
        - createdAt
  securitySchemes:
    apiKey:
      in: header
      name: x-api-key
      type: apiKey

````